Bug 852144 - (CVE-2012-4414) CVE-2012-4414 mysql: Multiple SQL injection flaws by generation of binlog entries
CVE-2012-4414 mysql: Multiple SQL injection flaws by generation of binlog ent...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120911,repor...
: Security
: 855539 (view as bug list)
Depends On: 863320
Blocks: 852149
  Show dependency treegraph
 
Reported: 2012-08-27 13:30 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-27 13:30:40 EDT
Multiple SQL injection flaws were found in the way the binlog functionality (routines producing events describing database changes such as table creation operations or changes to table data) of MySQL, a multi-user, multi-threaded SQL database server, performed sanitization of table names and other fields prior creating particular log entry. Authorised database users (with privilege to modify tables) could use this flaw to inject arbitrary SQL query into subsequently generated binlog entries.

References:
[1] https://mariadb.atlassian.net/browse/MDEV-382

MariaDB patches:
[2] http://bazaar.launchpad.net/~maria-captains/maria/5.1/revision/3151.1.1
    (against 5.1 branch)
[3] http://bazaar.launchpad.net/~maria-captains/maria/5.2/revision/3163.1.1
    (against 5.2 branch)
[4] http://bazaar.launchpad.net/~maria-captains/maria/5.3/revision/3556.1.2
    (against 5.3 branch)
[5] http://bazaar.launchpad.net/~maria-captains/maria/5.5/revision/3508
    (against 5.5 branch)

MySQL bug:
[6] http://bugs.mysql.com/66550
Comment 10 Kurt Seifried 2012-09-08 15:50:33 EDT
*** Bug 855539 has been marked as a duplicate of this bug. ***
Comment 11 Kurt Seifried 2012-09-08 17:05:53 EDT
A MySQL bug entry is available for this issue:

http://bugs.mysql.com/bug.php?id=66550
Comment 12 Stefan Cornelius 2012-09-11 09:36:13 EDT
Public via http://www.openwall.com/lists/oss-security/2012/09/11/4
Comment 16 Stefan Cornelius 2012-10-05 02:09:33 EDT
Created mysql tracking bugs for this issue

Affects: fedora-all [bug 863320]
Comment 18 Tomas Hoger 2013-01-16 10:40:08 EST
Following blog post suggests that the fix for this issue is included in upstream MySQL 5.5.29, but it does not completely and correctly resolve the issue:

http://www.mysqlperformanceblog.com/2013/01/13/cve-2012-4414-in-mysql-5-5-29-and-percona-server-5-5-29/
Comment 26 Huzaifa S. Sidhpurwala 2014-11-13 01:35:49 EST
Statement:

This issue affects the version of mysql packages shipped in Red Hat Enterprise Linux 5 and 6, the version of mysql55-mysql packages shipped in Red Hat Enterprise Linux 5 and the version of mariadb as shipped in Red Hat Enterprise Linux 7. 

Red Hat Product Security has rated this issue as having Moderate security impact and are currently waiting for upstream to fix this issue.

Note You need to log in before you can comment on or make changes to this bug.